<div class="container mt-4">
  <div class="card border-primary">
    <div class="card-body" style="text-align: center;">
      <span class="h3 fw-bolder">Hacer Prestamo
        <div class="spinner-border float-right" role="status" *ngIf="loading">
          <span class="visually-hidden">Loading...</span>
        </div>
      </span>
      <br>

    </div>
  </div>
  <div class="card border-primary mt-2">
    <form class="example-form" [formGroup]="createLibro">

      <table class="example-full-width mt-4 ms-5">
        <tr>
          <td>
            <mat-form-field class="example-full-width" appearance="fill">
              <mat-label>Nombre del libro</mat-label>
              <input matInput value="" formControlName="nombre">
            </mat-form-field>
          </td>
          <td>
            <mat-form-field class="example-full-width" appearance="fill">
              <mat-label>Autor</mat-label>
              <input matInput placeholder="Ej. Miguel de Cervantes" formControlName="autor">
            </mat-form-field>
          </td>
        </tr>
        <mat-form-field class="example-full-width" style="min-height: 200px;" appearance="fill">
          <mat-label>Descripcion</mat-label>
          <textarea matInput placeholder="Ej. El Quijote es una novela..." style="min-height: 200px;"
            formControlName="descripcion"></textarea>
        </mat-form-field>
        <p>
          <mat-form-field class="example-full-width" appearance="fill">
            <mat-label>Url de la portada</mat-label>
            <input url matInput placeholder="Ej. https://image.com" #ejemplo (keyup)="0"
              value="https://www.lockwoodboatworks.com/assets/images/no-image-selected.gif" formControlName="portada">
          </mat-form-field>
        <div class="card border-primary position-absolute bottom-0 end-0 translate-middle-x"
          style="margin-bottom: 70px;">
          <img mat-card-image src={{ejemplo.value}} style="width: 18rem; max-height: 450px;">
        </div>
        <p>
          <td>
            <mat-form-field class="example-full-width" appearance="fill">
              <mat-label>Precio</mat-label>
              <input matInput type="number" step="any" placeholder="Ej. 18€" formControlName="precio">
            </mat-form-field>
          </td>
          <td>
            <mat-form-field class="example-full-width" appearance="fill">
              <mat-label>Categoria</mat-label>
              <input matInput placeholder="Ej. Novela de Terror" formControlName="categoria">
            </mat-form-field>
          </td>

      </table>




    </form>


    <form class="example-form" [formGroup]="createPrestamo" (ngSubmit)="guardarPrestamo()">
      <h4 class="ms-4 fw-bolder">Seleccione el nombre del usuario que va a pedir el prestamo</h4>
      <mat-form-field class="ms-4" appearance="fill">

        <mat-label>Usuarios</mat-label>
        <select matNativeControl required formControlName="nombreUser">
          <option *ngFor="let usuario of usuarios" value="{{usuario.nombre}}">{{usuario.nombre}}</option>
        </select>
      </mat-form-field>
      <div>
        <button mat-stroked-button color="primary" class="ms-4 mb-4" type="submit" style="background-color: #dfdfdf;">
          Hacer Prestamo
        </button>
      </div>

    </form>


  </div>
